_SINGLE_LETTER_MAP = {
    'а': 'a',
    'б': 'b',
    'в': 'v',
    'г': 'g',
    'д': 'd',
    'е': 'e',
    'ё': 'e',
    'ж': 'zh',
    'з': 'z',
    'и': 'i',
    'й': 'y',
    'к': 'k',
    'л': 'l',
    'м': 'm',
    'н': 'n',
    'о': 'o',
    'п': 'p',
    'р': 'r',
    'с': 's',
    'т': 't',
    'у': 'u',
    'ф': 'f',
    'х': 'h',
    'ц': 'ts',
    'ч': 'ch',
    'ш': 'sh',
    'щ': 'sch',
    'ъ': '',
    'ы': 'y',
    'ь': '',
    'э': 'e',
    'ю': 'y',
    'я': 'ya'}

_LETTER_COMBINATION_MAP = {
    'ий': 'y',
    'кс': 'x'}


def transliterate(s: str):
    s = s.lower()
    for old, new in _LETTER_COMBINATION_MAP.items():
        s = s.replace(old, new)

    return ''.join([_SINGLE_LETTER_MAP[c] if c in _SINGLE_LETTER_MAP else c for c in s])
